---
title: List users
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > SCIM
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# List users{% #list-users %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                        |
| ----------------- | --------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/scim/Users |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/scim/Users |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/scim/Users      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/scim/Users      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/scim/Users  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/scim/Users |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/scim/Users     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/scim/Users |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/scim/Users |

### Overview

List users in the organization. Results are paginated by `startIndex` and `count` parameters. Results can be narrowed down by the `filter` parameter. Responses include the Datadog roles assigned to each user in the `roles` attribute. This endpoint requires all of the following permissions:
`user_access_invite``user_access_manage` 


### Arguments

#### Query Strings

| Name       | Type    | Description                                                                                                                 |
| ---------- | ------- | --------------------------------------------------------------------------------------------------------------------------- |
| startIndex | integer | Specifies the start index to fetch the results (1-indexed).                                                                 |
| count      | integer | Specifies the number of users to be returned.                                                                               |
| filter     | string  | Specifies the url encoded filter to use to narrow down the results. Filter should be of the form `userName eq <user name>`. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
List users response object.

| Parent field | Field                   | Type      | Description                                                                                                            |
| ------------ | ----------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------- |
|              | Resources               | [object]  | List of users matching the request criteria.                                                                           |
| Resources    | active                  | boolean   | A Boolean value indicating the User's administrative status.                                                           |
| Resources    | emails                  | [object]  | Email addresses for the user.                                                                                          |
| emails       | primary                 | boolean   | Boolean indicating if this email is the primary email address.                                                         |
| emails       | type                    | enum      | The type of email. Allowed enum values: `work`                                                                         |
| emails       | value                   | string    | Email addresses for the user.                                                                                          |
| Resources    | id                      | string    | The identifier of the resource. Not required when creating a user.                                                     |
| Resources    | meta                    | object    | Metadata associated with a user.                                                                                       |
| meta         | created                 | date-time | The date and time the user was created.                                                                                |
| meta         | lastModified            | date-time | The date and time the user was last changed.                                                                           |
| meta         | location                | string    | URL identifying the resource.                                                                                          |
| meta         | resourceType            | string    | Type of resource.                                                                                                      |
| Resources    | name                    | object    | The components of user's real name                                                                                     |
| name         | formatted               | string    | The full name, including all middle names, titles, and suffixes as appropriate, formatted for display.                 |
| Resources    | roles                   | [object]  | Datadog roles assigned to the user. Provide the role UUID in `value` when provisioning or updating roles through SCIM. |
| roles        | display                 | string    | Human-readable Datadog role name returned in responses.                                                                |
| roles        | value [*required*] | string    | Datadog role UUID.                                                                                                     |
| Resources    | schemas                 | [string]  | User JSON Schemas.                                                                                                     |
| Resources    | title                   | string    | The user's title.                                                                                                      |
| Resources    | userName                | string    | Unique identifier for the User.                                                                                        |
|              | itemsPerPage            | int64     | Number of users returned per page.                                                                                     |
|              | schemas                 | [string]  | List response JSON Schemas.                                                                                            |
|              | startIndex              | int64     | Starting index of the users for this page (1-indexed).                                                                 |
|              | totalResults            | int64     | Total number of users matching the request criteria.                                                                   |

{% /tab %}

{% tab title="Example" %}

```json
{
  "Resources": [
    {
      "active": true,
      "emails": [
        {
          "primary": true,
          "type": "work",
          "value": "john.doe@datadoghq.com"
        }
      ],
      "id": "e43536e9-33fe-43f8-90b8-d3e39a7dd6ad",
      "meta": {
        "created": "2024-11-22T15:05:52.055138963Z",
        "lastModified": "2024-11-22T15:05:52.055139017Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Users/e43536e9-33fe-43f8-90b8-d3e39a7dd6ad",
        "resourceType": "User"
      },
      "name": {
        "formatted": "John Doe"
      },
      "roles": [
        {
          "display": "Datadog Read Only Role",
          "value": "00000000-0000-0000-0000-000000000001"
        }
      ],
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "title": "Mr.",
      "userName": "john.doe@datadoghq.com"
    },
    {
      "active": true,
      "emails": [
        {
          "primary": true,
          "type": "work",
          "value": "jane.doe@datadoghq.com"
        }
      ],
      "id": "79ef0d28-f257-4829-97e6-d23d2a26cb1a",
      "meta": {
        "created": "2024-11-22T15:05:52.055139748Z",
        "lastModified": "2024-11-22T15:05:52.055139813Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Users/79ef0d28-f257-4829-97e6-d23d2a26cb1a",
        "resourceType": "User"
      },
      "name": {
        "formatted": "Jane Doe"
      },
      "roles": [
        {
          "display": "Datadog Standard Role",
          "value": "00000000-0000-0000-0000-000000000002"
        }
      ],
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "title": "Mrs.",
      "userName": "jane.doe@datadoghq.com"
    }
  ],
  "itemsPerPage": 2,
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "startIndex": 1,
  "totalResults": 2
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/scim/Users" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" 
                
{% /tab %}
